| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iBinaryLoaderPlugin Struct Reference
[Loading & Saving support]

This is a binary plugin for the loader. More...

`#include <imap/reader.h>`

Inheritance diagram for iBinaryLoaderPlugin:

[legend]
List of all members.

## Public Member Functions
virtual csPtr< iBase > | Parse (iDataBuffer *data, iStreamSource *ssource, iLoaderContext *ldr_context, iBase *context)=0
| Parse given data and return a new object for it.

## Detailed Description

This is a binary plugin for the loader.

Definition at line 58 of file reader.h.

## Member Function Documentation

virtual csPtr<iBase> iBinaryLoaderPlugin::Parse | ( | iDataBuffer * | data,
|  | iStreamSource * | ssource,
|  | iLoaderContext * | ldr_context,
|  | iBase * | context |
| ) |  |  | `[pure virtual]`

Parse given data and return a new object for it.

Parameters:

  | data | The data to parse.
  | ssource | An optional stream source where we can get (additional) resources from, such as buffers, in a fast way.
  | ldr_context | Can be used to get the context for the loading. You can use this to find meshes/materials/...
  | context | The context in which we are loading (can be the mesh wrapper for meshes for example).

The documentation for this struct was generated from the following file:

- imap/reader.h